# Class VersionCheck

java.lang.Object
java.lang.Thread
org.snpeff.logStatsServer.VersionCheck

All Implemented Interfaces:
  `Runnable`

public class VersionCheck extends Thread
Check is a new version is available

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static final int`
`LOG_THREAD_WAIT_TIME`
`static final int`
`LOG_THREAD_WAIT_TIME_REPEAT`

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`VersionCheck(String software, String latestVersion, String url)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getData()`
Get page as string
`String`
`getLatestReleaseDate()`
`String`
`getLatestUrl()`
`String`
`getLatestVersion()`
`boolean`
`isNewVersion()`
`protected void`
`parse(String text)`
Parse versions page Format: One entry per line Line format: "softwareName \t version \t date \t URL \n"
`void`
`run()`
Run thread in background
`static VersionCheck`
`version(String software, String latestVersion, String url, boolean verbose)`
Get version data

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### LOG_THREAD_WAIT_TIME

public static final int LOG_THREAD_WAIT_TIME

See Also:
  - Constant Field Values

### LOG_THREAD_WAIT_TIME_REPEAT

public static final int LOG_THREAD_WAIT_TIME_REPEAT

See Also:
  - Constant Field Values

### debug

public static boolean debug

## Constructor Details

### VersionCheck

public VersionCheck(String software, String latestVersion, String url)

## Method Details

### version

public static VersionCheck version(String software, String latestVersion, String url, boolean verbose)
Get version data

### getData

protected String getData() throws Exception
Get page as string

Throws:
  `Exception`

### getLatestReleaseDate

public String getLatestReleaseDate()

### getLatestUrl

public String getLatestUrl()

### getLatestVersion

public String getLatestVersion()

### isNewVersion

public boolean isNewVersion()

### parse

protected void parse(String text)
Parse versions page Format: One entry per line Line format: "softwareName \t version \t date \t URL \n"

### run

public void run()
Run thread in background

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`